Choose Your PHP Version

Many website platforms require the backbone development of PHP. Like other forms of programming, this is one of those platforms that is in constant development. As a result, you need to know how to update or otherwise change your version of PHP.

Keeping software up-to-date is just one of many ways to keep your site protected. It also ensures you’re benefiting from the latest technology and practices when developing a website. Which PHP version you use will dictate this level of security as well as compatibility with other online apps.

At GreenGeeks, you have the option to choose the PHP version in cPanel to fit your needs. Today, I am going to show you how to use this tool from your cPanel.

Using the PHP Version Function

From cPanel, scroll down to the “Software” section and click “Select PHP Version.”

Select PHP Version

Use the drop down selector to choose which version to use.

Choose Version

Click the “Set as current” button to commit to the change.

Set As Current PHP

You’ll also notice you can enable and disable various aspects of PHP using the check boxes available. However, I suggest keeping these set as default unless you are 100 percent sure you know what you’re doing. Disabling or enabling the wrong function may inadvertently cripple your website.

Why would you use older versions of PHP instead of a new one?

One of the most common issues when switching PHP versions is compatibility. Some platforms require certain aspects of an older PHP version to operate because new changes may not be compatible. This gives developers time to make adjustments before upgrading to a new version of PHP.

The last thing you want is an automatic update to PHP and it stops your website from working correctly.

Should you always keep PHP updated to the newest version?

Most developers probably don’t need to worry about compatibility issues. For example, running a basic blog may not be directly affected by requiring older versions of the software. However, you should take the time and test your site to make sure the newest version won’t break it.

Promoting Safety and Security

Even though old versions of software are often compatible with the functionality of your site, it doesn’t mean it’s a good practice to keep the obsolete version running. In fact, old stable versions of software can have exploits you don’t know about. Eventually, old versions are no longer supported by fixes and upgrades. From PHP to new versions of WordPress, it’s safer to keep everything as current as possible.

For more information regarding software updates, contact customer support. It’s always better to be safe than sorry.

Leave a Reply